[package]
name = "checker"
version = "0.1.0"
authors = ["Sean Stangl <sean.stangl@gmail.com>"]
description = "The OpenPowerlifting data format checker."
edition = "2021"
license = "AGPL-3.0-or-later"

[dependencies]
coefficients = { path = "../crates/coefficients/" }
opltypes = { path = "../crates/opltypes/" }
chrono = "0.4"
colored = "2.0"
csv = "1.1"
fxhash = "0.2"
itertools = "0.10"
itertools-num = "0.1"
pico-args = "0.5"
rayon = "1.0"
serde = "1.0"
serde_derive = "1.0"
strum = "0.24"
strum_macros = "0.24"
toml = "0.5"
unicode-normalization = "0.1.11"
walkdir = "2"
